curl --request POST \
--url https://matcher.sandbox.lerian.net/v1/matching/manual \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"transactionIds": [
"019c96a0-10ce-75fc-a273-dc799079a99c"
],
"notes": "Manual match for Q4 reconciliation"
}
'import requests
url = "https://matcher.sandbox.lerian.net/v1/matching/manual"
payload = {
"transactionIds": ["019c96a0-10ce-75fc-a273-dc799079a99c"],
"notes": "Manual match for Q4 reconciliation"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
transactionIds: ['019c96a0-10ce-75fc-a273-dc799079a99c'],
notes: 'Manual match for Q4 reconciliation'
})
};
fetch('https://matcher.sandbox.lerian.net/v1/matching/manual', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"matchGroup": {
"confidence": {},
"confirmedAt": "<string>",
"contextId": "<string>",
"createdAt": "<string>",
"id": "<string>",
"items": [
{
"allocatedAmount": "<string>",
"allocatedCurrency": "<string>",
"allowPartial": true,
"createdAt": "<string>",
"expectedAmount": "<string>",
"id": "<string>",
"matchGroupId": "<string>",
"sourceId": "<string>",
"sourceName": "<string>",
"transactionId": "<string>",
"updatedAt": "<string>"
}
],
"reasonCodes": [
"<string>"
],
"rejectedReason": "<string>",
"ruleId": "<string>",
"runId": "<string>",
"updatedAt": "<string>"
}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}Create a manual match
Use this endpoint to manually link multiple transactions (at least 2) into a match group with 100% confidence. Transactions must be UNMATCHED and belong to the specified context.
Authorizations
Bearer token authentication (format: "Bearer {token}")
Headers
A unique identifier for tracing the request across services.
Optional idempotency key for safe retries. Also accepts Idempotency-Key as an alternative header name. If the same key is sent again and the original request was already processed, the cached response is returned with X-Idempotency-Replayed: true.
See Retries and idempotency for details.
Query Parameters
Context ID
Body
Manual match payload
Response
Indicates that the resource was successfully created.
The response includes the X-Idempotency-Replayed header.
If the value is false, the request was just processed. If the value is true, the response is a replay of a previously processed request.
See Retries and idempotency for more details.
Show child attributes
Show child attributes
Was this page helpful?

